Package: org.grails.databinding.xml

## [Groovy] Class GPathResultCollectionDataBindingSource

- org.grails.databinding.xml.GPathResultCollectionDataBindingSource

- All Implemented Interfaces and Traits:
    CollectionDataBindingSource

      @groovy.transform.CompileStatic
      class GPathResultCollectionDataBindingSource
      extends java.lang.Object
      implements CollectionDataBindingSource

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.List<? extends DataBindingSource>` | `dataBindingSources` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GPathResultCollectionDataBindingSource (groovy.util.slurpersupport.GPathResult gpath)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.List<DataBindingSource>` | `getDataBindingSources()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.util.List<? extends DataBindingSource> dataBindingSources

  - ### Constructor Detail

    - #### GPathResultCollectionDataBindingSource(groovy.util.slurpersupport.GPathResult gpath)

  - ### Method Detail

    - #### @java.lang.Override java.util.List<DataBindingSource> getDataBindingSources()